Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.conn
Class CIBConnection

    java.lang.Object
      com.sun.mfwk.cib.sdk.conn.CIBConnection

public class CIBConnection
extends java.lang.Object

Provides an implemetation for attributes mapping.

Constructor Summary
`CIBConnection(javax.management.MBeanServerConnection connection, java.util.Map map)` Constructor

Method Summary
`javax.management.Attribute` | `getAttribute(java.lang.String name)` Get an Attribute using the connection
`void` | `invoke(java.lang.String method)` Invoke a method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CIBConnection

    public CIBConnection(javax.management.MBeanServerConnection connection,
                         java.util.Map map)

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

Method Detail

### getAttribute

    public javax.management.Attribute getAttribute(java.lang.String name)
                                            throws CIBIOException,
                                                   CIBAttributeNotFoundException

  Get an Attribute using the connection

  Parameters:
    `name` - String
  Returns:
    Attribute
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### invoke

    public void invoke(java.lang.String method)
                throws CIBIOException,
                       CIBAttributeNotFoundException

  Invoke a method

  Parameters:
    `method` - String
  Throws:
    `java.io.IOException`
    `javax.management.ReflectionException`
    `javax.management.MBeanException`
    `javax.management.InstanceNotFoundException`
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD